Notes
Create a note
Create a new note for a household. Notes use a wrapped body; the required field is note.content: { "note": { "content": "..." } }.
POST
/
v1
/
households
/
{household_id}
/
notes
Create a note
curl --request POST \
--url https://api.slant.app/v1/households/{household_id}/notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"note": {
"content": "Important meeting notes from client discussion",
"pinned": false,
"tag_ids": [
"<string>"
],
"references": [
{
"id": "<string>"
}
]
}
}
'import requests
url = "https://api.slant.app/v1/households/{household_id}/notes"
payload = { "note": {
"content": "Important meeting notes from client discussion",
"pinned": False,
"tag_ids": ["<string>"],
"references": [{ "id": "<string>" }]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
note: {
content: 'Important meeting notes from client discussion',
pinned: false,
tag_ids: ['<string>'],
references: [{id: '<string>'}]
}
})
};
fetch('https://api.slant.app/v1/households/{household_id}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.slant.app/v1/households/{household_id}/notes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'note' => [
'content' => 'Important meeting notes from client discussion',
'pinned' => false,
'tag_ids' => [
'<string>'
],
'references' => [
[
'id' => '<string>'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.slant.app/v1/households/{household_id}/notes"
payload := strings.NewReader("{\n \"note\": {\n \"content\": \"Important meeting notes from client discussion\",\n \"pinned\": false,\n \"tag_ids\": [\n \"<string>\"\n ],\n \"references\": [\n {\n \"id\": \"<string>\"\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.slant.app/v1/households/{household_id}/notes")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"note\": {\n \"content\": \"Important meeting notes from client discussion\",\n \"pinned\": false,\n \"tag_ids\": [\n \"<string>\"\n ],\n \"references\": [\n {\n \"id\": \"<string>\"\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.slant.app/v1/households/{household_id}/notes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"note\": {\n \"content\": \"Important meeting notes from client discussion\",\n \"pinned\": false,\n \"tag_ids\": [\n \"<string>\"\n ],\n \"references\": [\n {\n \"id\": \"<string>\"\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "abc123xyz",
"content": "Meeting notes from client discussion",
"pinned": false,
"tag_ids": [
"<string>"
],
"references": [
{
"id": "<string>",
"type": "Business",
"label": "<string>"
}
],
"book_id": "book123xyz",
"notable_type": "<string>",
"notable_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"hidden": false,
"household_id": "household123xyz",
"created_by_id": "user123xyz"
}Authorizations
OAuth 2.0 Bearer Token from Clerk authentication
Headers
Unique key to ensure idempotent request handling. If a request with the same key was already processed, the original response will be returned.
Path Parameters
The household ID
Body
application/json
Show child attributes
Show child attributes
Response
note created
The note ID
Example:
"abc123xyz"
The plaintext content of the note
Example:
"Meeting notes from client discussion"
Whether the note is pinned
Example:
false
The complete set of label IDs applied to the note
Records referenced by the note
Show child attributes
Show child attributes
The book ID
Example:
"book123xyz"
The type of record the note belongs to
The ID of the record the note belongs to
When the note was created
When the note was last updated
Whether the note is hidden
Example:
false
The household ID
Example:
"household123xyz"
The ID of the user who created the note
Example:
"user123xyz"
⌘I
Create a note
curl --request POST \
--url https://api.slant.app/v1/households/{household_id}/notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"note": {
"content": "Important meeting notes from client discussion",
"pinned": false,
"tag_ids": [
"<string>"
],
"references": [
{
"id": "<string>"
}
]
}
}
'import requests
url = "https://api.slant.app/v1/households/{household_id}/notes"
payload = { "note": {
"content": "Important meeting notes from client discussion",
"pinned": False,
"tag_ids": ["<string>"],
"references": [{ "id": "<string>" }]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
note: {
content: 'Important meeting notes from client discussion',
pinned: false,
tag_ids: ['<string>'],
references: [{id: '<string>'}]
}
})
};
fetch('https://api.slant.app/v1/households/{household_id}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.slant.app/v1/households/{household_id}/notes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'note' => [
'content' => 'Important meeting notes from client discussion',
'pinned' => false,
'tag_ids' => [
'<string>'
],
'references' => [
[
'id' => '<string>'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.slant.app/v1/households/{household_id}/notes"
payload := strings.NewReader("{\n \"note\": {\n \"content\": \"Important meeting notes from client discussion\",\n \"pinned\": false,\n \"tag_ids\": [\n \"<string>\"\n ],\n \"references\": [\n {\n \"id\": \"<string>\"\n }\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.slant.app/v1/households/{household_id}/notes")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"note\": {\n \"content\": \"Important meeting notes from client discussion\",\n \"pinned\": false,\n \"tag_ids\": [\n \"<string>\"\n ],\n \"references\": [\n {\n \"id\": \"<string>\"\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.slant.app/v1/households/{household_id}/notes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"note\": {\n \"content\": \"Important meeting notes from client discussion\",\n \"pinned\": false,\n \"tag_ids\": [\n \"<string>\"\n ],\n \"references\": [\n {\n \"id\": \"<string>\"\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "abc123xyz",
"content": "Meeting notes from client discussion",
"pinned": false,
"tag_ids": [
"<string>"
],
"references": [
{
"id": "<string>",
"type": "Business",
"label": "<string>"
}
],
"book_id": "book123xyz",
"notable_type": "<string>",
"notable_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"hidden": false,
"household_id": "household123xyz",
"created_by_id": "user123xyz"
}